[ic] old style mysql password

J van Dijk 'BV Kunststoffenindustrie Attema' j.vandijk at attema.nl
Mon Jan 31 05:46:11 EST 2005

Hello all,

We use ic5.3.0 and MySQL 4.1.9 (client and server).
The command 'bin/makecat' could create a database, no errors were seen.
When (re)starting ic, the message 
"Client does not support authentication protocol requested
by server; consider upgrading MySQL client" was given and the catalog didn't start.
I could see that ic was trying to connect the database to create tables an data, but didn't seem to have the right privileges.
Changing the password in mysql with the 'old_password'  option solved this problem.
mysql> set password for interch at localhost = old_password('interch');

Quoting MySQL:
"MySQL 4.1 and up uses an authentication protocol based on a password hashing algorithm that is incompatible with that used by older clients. "

Hope this can be of any help to you.

Met vriendelijke groet,

Jan van Dijk
j.vandijk at attema.nl
B.V. Kunststoffenindustrie Attema
tel : 0183-650650 tst 674
fax: 0183-650751

More information about the interchange-users mailing list